#!/bin/bash
rpm -e --nodeps neoshineoffice-*-1.i586
rpm -e --nodeps neoshineoffice6.0-base-*-1.i586
rpm -e --nodeps neoshineoffice6.0-calc-*-1.i586
rpm -e --nodeps neoshineoffice6.0-core01-*-1.i586
rpm -e --nodeps neoshineoffice6.0-core02-*-1.i586
rpm -e --nodeps neoshineoffice6.0-core03-*-1.i586
rpm -e --nodeps neoshineoffice6.0-core04-*-1.i586
rpm -e --nodeps neoshineoffice6.0-core05-*-1.i586
rpm -e --nodeps neoshineoffice6.0-core06-*-1.i586
rpm -e --nodeps neoshineoffice6.0-core07-*-1.i586
rpm -e --nodeps neoshineoffice6.0-draw-*-1.i586
rpm -e --nodeps neoshineoffice6.0-freedesktop-menus-*-1.noarch
rpm -e --nodeps neoshineoffice6.0-gnome-integration-*-1.i586
rpm -e --nodeps neoshineoffice6.0-graphicfilter-*-1.i586
rpm -e --nodeps neoshineoffice6.0-images-*-1.i586
rpm -e --nodeps neoshineoffice6.0-impress-*-1.i586
rpm -e --nodeps neoshineoffice6.0-javafilter-*-1.i586
rpm -e --nodeps neoshineoffice6.0-math-*-1.i586
rpm -e --nodeps neoshineoffice6.0-ooofonts-*-1.i586
rpm -e --nodeps neoshineoffice6.0-ooolinguistic-*-1.i586
rpm -e --nodeps neoshineoffice6.0-pyuno-*-1.i586
rpm -e --nodeps neoshineoffice6.0-testtool-*-1.i586
rpm -e --nodeps neoshineoffice6.0-writer-*-1.i586
rpm -e --nodeps neoshineoffice6.0-xsltfilter-*-1.i586
rpm -e --nodeps neoshineoffice6.0-zh-CN-*-1.i586
rpm -e --nodeps neoshineoffice6.0-zh-CN-base-*-1.i586
rpm -e --nodeps neoshineoffice6.0-zh-CN-calc-*-1.i586
rpm -e --nodeps neoshineoffice6.0-zh-CN-draw-*-1.i586
rpm -e --nodeps neoshineoffice6.0-zh-CN-help-*-1.i586
rpm -e --nodeps neoshineoffice6.0-zh-CN-impress-*-1.i586
rpm -e --nodeps neoshineoffice6.0-zh-CN-math-*-1.i586
rpm -e --nodeps neoshineoffice6.0-zh-CN-res-*-1.i586
rpm -e --nodeps neoshineoffice6.0-zh-CN-writer-*-1.i586
rpm -e --nodeps neoshineoffice-base-*-1.i586
rpm -e --nodeps neoshineoffice-calc-*-1.i586
rpm -e --nodeps neoshineoffice-dict-en-*-1.i586
rpm -e --nodeps neoshineoffice-draw-*-1.i586
rpm -e --nodeps neoshineoffice-impress-*-1.i586
rpm -e --nodeps neoshineoffice-math-*-1.i586
rpm -e --nodeps neoshineoffice-ure-*-1.i586
rpm -e --nodeps neoshineoffice-writer-*-1.i586
rpm -e --nodeps neoshineoffice-zh-CN-*-1.i586
rm -rf /opt/neoshineoffice/ >/dev/null 2>&1
rm -rf `find /home -maxdepth 2 -name .neoshineoffice` >/dev/null 2>&1
kill -9 `ps ax  | grep /opt/neoshineoffice/program/soffice.bin|awk '{print }'` >/dev/null 2>&1
rpm -e `rpm -qa | grep neoshineoffice | sed -e 's/\.mips64//'`
rm -rf /etc/xdg/menus/applications-merged/neoshine.menu
rm -rf  /usr/share/desktop-directories/neoshine-tools.directory
rm -rf  /usr/share/applications/neoshine-test.desktop

NOMARL_USER=(`cat /etc/passwd | grep home | cut -d':' -f 6`)
count=${#NOMARL_USER[*]}
n=0
while [ $n -lt $count ]
do
fav=`awk -F ',' '{print $0}' ${NOMARL_USER[$n]}/.gnomenu/.GnoMenu-Settings.xml | sed "s/,/*/g"`
echo $fav > /tmp/tmp.xml
sed -i 's/\[/*/g' /tmp/tmp.xml
sed -i 's/\]/*/g' /tmp/tmp.xml
sed -i "s/*/\n/g" /tmp/tmp.xml
sed -i '/soffice/d' /tmp/tmp.xml
sed -i '1s/$/[/' /tmp/tmp.xml
sed -i '$ s/^/]/' /tmp/tmp.xml
sed -n '1h;1!H;${g;s/\n/,/g;p;}' /tmp/tmp.xml > /tmp/tmp_gnome.xml
sed -i 's/i\[,/\[/' /tmp/tmp_gnome.xml
sed -i 's/,\]/\]/' /tmp/tmp_gnome.xml
cp -f /tmp/tmp_gnome.xml ${NOMARL_USER[$n]}/.gnomenu/.GnoMenu-Settings.xml

n=$[$n+1]
done

fav=`awk -F ',' '{print $0}' /etc/skel/.gnomenu/.GnoMenu-Settings.xml | sed "s/,/*/g"`
echo $fav > /tmp/tmp.xml
sed -i 's/\[/*/g' /tmp/tmp.xml
sed -i 's/\]/*/g' /tmp/tmp.xml
sed -i "s/*/\n/g" /tmp/tmp.xml
sed -i '/soffice/d' /tmp/tmp.xml
sed -i '1s/$/[/' /tmp/tmp.xml
sed -i '$ s/^/]/' /tmp/tmp.xml
sed -n '1h;1!H;${g;s/\n/,/g;p;}' /tmp/tmp.xml > /tmp/tmp_gnome.xml
sed -i 's/i\[,/\[/' /tmp/tmp_gnome.xml
sed -i 's/,\]/\]/' /tmp/tmp_gnome.xml
cp -f /tmp/tmp_gnome.xml /etc/skel/.gnomenu/.GnoMenu-Settings.xml

